Bug 180064 - oops in get_page_from_freelist
oops in get_page_from_freelist
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 05:37 EST by Ellen Shull
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:19:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
oops message from /var/log/messages (7.06 KB, text/plain)
2006-02-05 05:37 EST, Ellen Shull
no flags Details
most recent dmesg (from newer kernel build) (17.16 KB, text/plain)
2006-02-10 01:01 EST, Ellen Shull
no flags Details

  None (edit)
Description Ellen Shull 2006-02-05 05:37:51 EST
Description of problem:
Yum was in the middle of downloading kernel-debuginfo (go figure) when X became
completely unresponsive.  Walked away for a few minutes, and when I came back,
it had generated an oops (attached)

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1909_FC5 (i686)

How reproducible:
unknown

Additional info:
$ uname -a
Linux ip70-171-208-137.tc.ph.cox.net 2.6.15-1.1909_FC5 #1 Sat Feb 4 12:56:32 EST
2006 i686 athlon i386 GNU/Linux

Have been seeing similar lockup since at the latest build 1898...  Had always
immediately reset the machine though so don't know if they would have come back
with a similar oops.

Kernel not tainted.
Comment 1 Ellen Shull 2006-02-05 05:37:51 EST
Created attachment 124196 [details]
oops message from /var/log/messages
Comment 2 Dave Jones 2006-02-09 21:50:07 EST
oopses here are usually indicative of bad memory.  Have you tried running
memtest on this box for a while ?

It's a core function that every user hits, so if there was a problem here,
there'd be more reports, but yours is the only one I've seen here recently.
Comment 3 Ellen Shull 2006-02-10 01:00:34 EST
I gave it an overnight memtest run the last time I fiddled with memory (added a
512 stick to bring it up to 768), and it's been pretty stable since then (30-day
uptimes, limited not by crashiness but rebooting for new kernel etc.) but just
to make sure I'll give memtest another run tonight...

Attaching most recent boot dmesg stuff for hardware reference.
Comment 4 Ellen Shull 2006-02-10 01:01:41 EST
Created attachment 124477 [details]
most recent dmesg (from newer kernel build)
Comment 5 Ellen Shull 2006-02-10 22:55:12 EST
Ok, 18 hours/22 passes of memtest86+ 1.65 resulted in not a single memory error.
 I understand that's not a conclusive non-existence proof, but if the problem
*was* due to a memory error, it was very much a fluke.

I'll leave it up to you whether you want to close this for now; I know that
trying to find a non-reproducible bug is nigh impossible; I always file anyway
just in case someone else sees it and corroborates.
Comment 6 Dave Jones 2006-10-16 20:55:52 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 18:19:57 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.